Public Class Form1

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Dim tFahrenheit, tCelsius As Single
        Dim tFahrenheitVstup As String
        Dim vyzva As String = "Zadejte teplotu ve stupních Fahrenheita."
        Do
            tFahrenheitVstup = InputBox(vyzva, "Převod Fahrenheit – Celsius")
            If IsNumeric(tFahrenheitVstup) Then
                tFahrenheit = CSng(tFahrenheitVstup)
                tCelsius = Int((tFahrenheit + 40) * 5 / 9 - 40)
                MsgBox(tCelsius, , "Teplota ve stupních Celsia")
            End If
        Loop While tFahrenheitVstup <> ""
        End

    End Sub
End Class
